#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
#
# Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
#	This Makefile defines all file modules and build rules for the
# directory uts/sparc and it's children. These are the source files which
# are specific to the sparc processor.
#

#
#	object lists
#

CORE_OBJS +=	ddi_arch.o	\
		polled_io.o	\
		sparc_ddi.o

#
#	generic-unix module
#
GENUNIX_OBJS +=	addsub.o	\
		archdep.o	\
		bitmap_arch.o	\
		compare.o	\
		div.o		\
		fpu_simulator.o	\
		getcontext.o	\
		iu_simulator.o	\
		mul.o		\
		pack.o		\
		sundep.o	\
		syscall.o	\
		unpack.o	\
		utility.o

#
#			Driver (pseudo-driver) Modules
#

#
#			Driver modules
#
FD_OBJS	+=	fd_asm.o

CPR_SPARC_OBJS +=	cpr_sparc.o
PCI_PCI_OBJS +=		pci_pci.o pci_debug.o pci_pwr.o pcix.o
PX_PCI_OBJS +=		px_pci.o pcie_pwr.o
FCODE_OBJS +=		fcode.o
NSKERN_OBJS +=		nsc_asm.o

#
#			file system modules
#
# XXX -	currently a bug?...
#PROC_OBJS += 
CORE_OBJS +=	prmachdep.o

#			ZFS file system module
ZFS_OBJS +=		\
	spa_boot.o

#
#			misc modules
#
KRTLD_OBJS +=		\
	doreloc.o 	\
	kobj_convrelstr.o \
	kobj_isa.o 	\
	kobj_reloc.o

SWAPGENERIC_OBJS += swapgeneric.o
PCICFG_E_OBJS	+= pcicfg.e.o
FCPCI_OBJS	+= fcpci.o
FCODEM_OBJS	+= fc_ddi.o fc_physio.o fc_ops.o fc_subr.o

#
#			special files
#
MODSTUB_OBJ =	modstubs.o

#
#			SPARC DTrace Providers
#
FBT_OBJS	+= fbt.o
SDT_OBJS	+= sdt.o

#
#	Build up paths and defines.
#
LINT_DEFS	+= -Dsparc
INC_PATH	+= -I$(UTSBASE)/sparc
INC_PATH	+= -I$(UTSBASE)/sparc/krtld

#
# Since assym.h is a derived file, the dependency must be explicit for
# all files including this file. (This is only actually required in the
# instance when the .nse_depinfo file does not exist.) It may seem that
# the lint targets should also have a similar dependency, but they don't
# since only C headers are included when #defined(lint) is true.
#
ASSYM_DEPS +=	sparc_ddi.o

#
# Inlined assembler routines.
#
INLINES		+= $(UTSBASE)/sparc/ml/sparc.il
